aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ruby-rack-openid/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2012-10-29 13:23:30 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2012-10-29 13:23:30 +0100
commit96d56f0bafa727a8bc7fc1db1ebd9eb5504f6c01 (patch)
tree3c9e2138bcd0d61920060df92b949696ddb36b7c /testing/ruby-rack-openid/APKBUILD
parent554e1beb2f4f53312447bbf0e251c09cea7d1e3e (diff)
downloadaports-96d56f0bafa727a8bc7fc1db1ebd9eb5504f6c01.tar.gz
aports-96d56f0bafa727a8bc7fc1db1ebd9eb5504f6c01.tar.bz2
aports-96d56f0bafa727a8bc7fc1db1ebd9eb5504f6c01.tar.xz
testing/ruby-rack-openid: new aport
Diffstat (limited to 'testing/ruby-rack-openid/APKBUILD')
-rw-r--r--testing/ruby-rack-openid/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/ruby-rack-openid/APKBUILD b/testing/ruby-rack-openid/APKBUILD
new file mode 100644
index 0000000000..4a99ec15ba
--- /dev/null
+++ b/testing/ruby-rack-openid/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+_gemname=rack-openid
+pkgname=ruby-rack-openid
+pkgver=1.3.1
+pkgrel=0
+pkgdesc="Provides a more HTTPish API around the ruby-openid library"
+url="https://github.com/josh/rack-openid"
+arch="noarch"
+license="MIT"
+depends="ruby ruby-rack"
+depends_dev=
+makedepends="$depends_dev ruby-gems"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="e452612b2ecc2546841f873a6ee3a9d3 rack-openid-1.3.1.gem"